org.glassfish.jersey.server

## Class ContainerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - jakarta.ws.rs.ProcessingException
        - - org.glassfish.jersey.server.ContainerException

All Implemented Interfaces:
  Serializable

    public class ContainerException
    extends jakarta.ws.rs.ProcessingException

Exception thrown by the container components in to notify Jersey runtime about any errors.

Author:
  Marek Potociar
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ContainerException(String message)`
`ContainerException(String message, Throwable cause)`
`ContainerException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ContainerException

    public ContainerException(Throwable cause)

#### ContainerException

    public ContainerException(String message,
                              Throwable cause)

#### ContainerException

    public ContainerException(String message)